gstreamermm: Gst::PushSrc Class Reference

Public Member Functions | Related Functions

# Gst::PushSrc Class Reference
[gstreamermm Base Classes]

A base class for push based source elements. More...

Inherits Gst::BaseSrc.

Inherited by Gst::BaseAudioSrc, Gst::CddaBaseSrc, Gst::CdParanoiaSrc, Gst::FdSrc, Gst::TCPClientSrc, Gst::TCPServerSrc, and Gst::VideoTestSrc.

Collaboration diagram for Gst::PushSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~PushSrc ()
GstPushSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstPushSrc* | gobj () const
| Provides access to the underlying C GObject.
GstPushSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::PushSrc > | wrap (GstPushSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A base class for push based source elements.

This class is mostly useful for elements that cannot do random access, or at least very slowly. The source usually prefers to push out a fixed size buffer.

Subclasses usually operate in a format that is different from the default Gst::FORMAT_BYTES format of Gst::BaseSrc.

Classes extending this base class will usually be scheduled in a push based mode. If the peer accepts to operate without offsets and within the limits of the allowed block size, this class can operate in getrange based mode automatically. To make this possible, the subclass should override the Gst::BaseSrc::check_get_range_vfunc() method.

The subclass should extend the methods from the baseclass in addition to the GstBaseSrc::create_vfunc() method.

Seeking, flushing, scheduling and sync is all handled by this base class.

Last reviewed on 2006-07-04 (0.10.9).

## Constructor & Destructor Documentation

virtual Gst::PushSrc::~PushSrc | ( |  | ) | `[virtual]`

## Member Function Documentation

GstPushSrc* Gst::PushSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

Reimplemented in Gst::AudioSrc, Gst::BaseAudioSrc, Gst::CddaBaseSrc, Gst::CdParanoiaSrc, Gst::TCPClientSrc, Gst::TCPServerSrc, and Gst::VideoTestSrc.

const GstPushSrc* Gst::PushSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

Reimplemented in Gst::AudioSrc, Gst::BaseAudioSrc, Gst::CddaBaseSrc, Gst::CdParanoiaSrc, Gst::TCPClientSrc, Gst::TCPServerSrc, and Gst::VideoTestSrc.

GstPushSrc* Gst::PushSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSrc.

Reimplemented in Gst::AudioSrc, Gst::BaseAudioSrc, Gst::CddaBaseSrc, Gst::CdParanoiaSrc, Gst::TCPClientSrc, Gst::TCPServerSrc, and Gst::VideoTestSrc.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::PushSrc > wrap | ( | GstPushSrc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/pushsrc.h